Subject: Re: [net-next PATCH 09/13] net: dsa: qca8k: check rgmii also on port 6 if exchanged

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Oct 2021 02:24:08 +0200

On Thu, Oct 07, 2021 at 12:35:59AM +0200, Ansuel Smith wrote:
> Port 0 can be exchanged with port6. Handle this special case by also
> checking the port6 if present.

This is messy.

The DSA core has no idea the ports have been swapped, so the interface
names are going to be taken from DT unswaped. Now you appear to be
taking phy-mode from the other port in DT. That is inconsistent. All
the configuration for a port should come from the same place, nothing
gets swapped. Or everything needs to swap, which means you need to
change the DSA core.

    Andrew